// gnome.xonotic.in.ua

flareshader
{
	cull none
	{
		map gfx/misc/flare.tga
		blendfunc gl_one gl_one
		rgbgen vertex
	}
}

models/mapobjects/skeletons/skeleton
{
	cull disable
	surfaceparm alphashadow
	{
		map models/mapobjects/skeletons/skeleton.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
}

models/mapobjects/skel/skel
{
	cull disable
	surfaceparm alphashadow
	{
		map models/mapobjects/skel/skel.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
}

noshader
{
	surfaceparm trans
	surfaceparm nomarks
	cull none
	{
		map noshader.tga
		tcmod scale 1.0 1.0
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		depthfunc equal
		rgbgen identity
	}
}

textures/base_floor/proto_rustygrate
{
	surfaceparm metalsteps
	surfaceparm trans
	surfaceparm alphashadow
	cull none
	nopicmip
	{
		map textures/base_floor/proto_rustygrate.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/base_light/light5_5k
{
	qer_editorimage textures/base_light/light5.tga
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_backsplash 0 0
	q3map_surfacelight 5000
	{
		map textures/base_light/light5.tga
		rgbgen identity
	}
}

textures/common/caulk
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
}

textures/common/clusterportal
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm detail
	surfaceparm clusterportal
}

textures/common/donotenter
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm donotenter
}

textures/common/hint
{
	qer_nocarve
	qer_trans 0.30
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm hint
}

textures/common/nodraw
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/common/nodrop
{
	qer_nocarve
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodrop
}

textures/common/slick
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm slick
}

textures/common/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/ctf_cas_g/cas6_sky
{
	surfaceparm noimpact
	surfaceparm nolightmap
	qer_editorimage textures/skies/toxicbluesky.tga
	q3map_backsplash -1 32
	q3map_lightimage textures/skies/toxicskyb.tga
	q3map_surfacelight 150
	q3map_sun 1 1 0.8 90 100 40
	skyparms env/aetime/aetime_sky_dp - -
}

textures/ctf_cas_l/clippy
{
	qer_editorimage textures/common/clip.tga
	qer_trans 0.40
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
}

textures/ctf_cas_l/c_puppet
{
	qer_editorimage textures/ctf_cas_l/caseyalpha.tga
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nomarks
	cull none
	nopicmip
	{
		map textures/ctf_cas_l/caseyalpha.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/ctf_cas_l/firewall
{
	qer_editorimage textures/sfx/firewall.tga
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_surfacelight 200
	{
		map textures/sfx/firewalla.tga
		blendfunc gl_one gl_zero
		tcmod scale 0.25 0.25
		tcmod scroll 0.2 1.1
	}
	{
		map textures/ctf_cas_l/firewallb.tga
		blendfunc gl_dst_color gl_src_alpha
		tcmod scale .1 .1
		tcmod turb .2 .1 .1 1
		tcmod scroll 0 4
	}
}

textures/ctf_cas_l/fog_dk_grey_256_50
{
	qer_editorimage textures/sfx/xdensegreyfog.tga
	q3map_lightimage textures/sfx/xdensegreyfog.tga
	q3map_surfacelight 50
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
	surfaceparm nolightmap
	qer_nocarve
	fogparms ( 0.1 0.1 0.1 ) 256
	{
		map textures/liquids/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale -.05 -.05
		tcmod scroll .01 -.01
		rgbgen identity
	}
	{
		map textures/liquids/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale .05 .05
		tcmod scroll .01 -.01
		rgbgen identity
	}
}

textures/ctf_cas_l/g_light_2k
{
	qer_editorimage textures/gothic_light/gothic_light2.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	q3map_surfacelight 2000
	{
		map textures/ctf_cas_l/g_light.tga
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
	{
		map textures/ctf_cas_l/g_light_glow.tga
		blendfunc add
		rgbgen wave noise 0.65 0.05 0.1 .3
	}
}

textures/ctf_cas_l/g_light_3k
{
	qer_editorimage textures/gothic_light/gothic_light2.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	q3map_surfacelight 3000
	{
		map textures/ctf_cas_l/g_light.tga
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
	{
		map textures/ctf_cas_l/g_light_glow.tga
		blendfunc add
		rgbgen wave noise 0.65 0.05 0.1 .3
	}
}

textures/ctf_cas_l/gothic_light3_500
{
	qer_editorimage textures/gothic_light/gothic_light3.tga
	q3map_lightimage textures/gothic_light/gothic_light2_blend.tga
	q3map_surfacelight 500
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/gothic_light/gothic_light3.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/gothic_light/gothic_light2_blend.tga
		rgbgen wave sin .6 .1 .1 .1
		blendfunc gl_one gl_one
	}
}

textures/ctf_cas_l/grateclip
{
	qer_trans 0.40
	qer_editorimage textures/common/clip.tga
	surfaceparm metalsteps
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodraw
}

textures/ctf_cas_l/ironcrosslt1_500
{
	qer_editorimage textures/ctf_q3w/ironcrosslt1.tga
	q3map_lightimage textures/ctf_q3w/ironcrosslt1_blend.tga
	q3map_surfacelight 500
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/ctf_q3w/ironcrosslt1.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/ctf_q3w/ironcrosslt1_blend.tga
		blendfunc gl_one gl_one
	}
}

textures/ctf_cas_l/ironcrossltblue_2000
{
	qer_editorimage textures/ctf_cas_l/ironcrossltblue.tga
	q3map_lightimage textures/ctf_cas_l/ironcrossltblue.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/ctf_cas_l/ironcrossltblue.tga
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/ctf_cas_l/ironcrossltblue.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/ctf_cas_l/ironcrossltred_2000
{
	qer_editorimage textures/ctf_cas_l/ironcrossltred.tga
	q3map_lightimage textures/ctf_cas_l/ironcrossltred.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/ctf_cas_l/ironcrossltred.tga
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/ctf_cas_l/ironcrossltred.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/ctf_cas_l/pewterlight_b_3000
{
	qer_editorimage textures/ctf_cas_l/light2_b.tga
	surfaceparm nomarks
	q3map_lightimage textures/base_light/light1blue.blend.tga
	q3map_surfacelight 3000
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/ctf_cas_l/light2_b.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/light1blue.blend.tga
		rgbgen wave sin .6 .1 .1 .1
		blendfunc gl_one gl_one
	}
}

textures/ctf_cas_l/pewterlight_r_3000
{
	qer_editorimage textures/base_light/light2.tga
	surfaceparm nomarks
	q3map_lightimage textures/base_light/light1red.blend.tga
	q3map_surfacelight 3000
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/light2.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/light1red.blend.tga
		rgbgen wave sin .6 .1 .1 .1
		blendfunc gl_one gl_one
	}
}

textures/ctf_q3w/ironcrosslt1_2000
{
	qer_editorimage textures/ctf_q3w/ironcrosslt1.tga
	q3map_lightimage textures/ctf_q3w/ironcrosslt1_blend.tga
	q3map_surfacelight 2000
	light 1
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/ctf_q3w/ironcrosslt1.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/ctf_q3w/ironcrosslt1_blend.tga
		blendfunc gl_one gl_one
	}
}

textures/ctf_q3w/ironcrosslt1_3000
{
	qer_editorimage textures/ctf_q3w/ironcrosslt1.tga
	q3map_lightimage textures/ctf_q3w/ironcrosslt1_blend.tga
	q3map_surfacelight 3000
	light 1
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/ctf_q3w/ironcrosslt1.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/ctf_q3w/ironcrosslt1_blend.tga
		blendfunc gl_one gl_one
	}
}

textures/ctf_q3w/ironcrosslt1_4000
{
	qer_editorimage textures/ctf_q3w/ironcrosslt1.tga
	q3map_lightimage textures/ctf_q3w/ironcrosslt1_blend.tga
	q3map_surfacelight 4000
	light 1
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/ctf_q3w/ironcrosslt1.tga
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/ctf_q3w/ironcrosslt1_blend.tga
		blendfunc gl_one gl_one
	}
}

textures/ctf_unified/banner03_blue
{
	qer_editorimage textures/ctf_unified/banner03_blue.tga
	qer_trans 0.4
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	tesssize 64
	deformvertexes wave 30 sin 0 3 0 .2
	deformvertexes wave 100 sin 0 3 0 .7
	{
		map textures/ctf_unified/banner03_blue.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
}

textures/ctf_unified/banner03_red
{
	qer_editorimage textures/ctf_unified/banner03_red.tga
	qer_trans 0.4
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	cull none
	tesssize 64
	deformvertexes wave 30 sin 0 3 0 .2
	deformvertexes wave 100 sin 0 3 0 .7
	{
		map textures/ctf_unified/banner03_red.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
}

textures/ctf_unified/bounce_blue
{
	qer_editorimage textures/ctf_unified/qer_bounce_blue.tga
	q3map_lightimage textures/ctf_unified/bounce_fx_blue.tga
	q3map_surfacelight 400
	surfaceparm nodamage
	surfaceparm nomarks
	surfaceparm trans
	{
		map textures/ctf_unified/bounce_base.tga
		rgbgen identity
		alphafunc ge128
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		depthfunc equal
	}
	{
		map textures/ctf_unified/bounce_glow_blue.tga
		blendfunc add
		rgbgen wave sin 0.5 0.5 0 1.5
	}
	{
		clampmap textures/ctf_unified/bounce_fx_blue.tga
		blendfunc add
		tcmod stretch sin 1.2 0.8 0 1.5
		rgbgen wave square 0.5 0.5 0.25 1.5
	}
	{
		map textures/ctf_unified/bounce_shadow.tga
		blendfunc filter
		rgbgen identity
	}
}

textures/ctf_unified/bounce_red
{
	qer_editorimage textures/ctf_unified/qer_bounce_red.tga
	q3map_lightimage textures/ctf_unified/bounce_fx_red.tga
	q3map_surfacelight 400
	surfaceparm nodamage
	surfaceparm nomarks
	surfaceparm trans
	{
		map textures/ctf_unified/bounce_base.tga
		rgbgen identity
		alphafunc ge128
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		depthfunc equal
	}
	{
		map textures/ctf_unified/bounce_glow_red.tga
		blendfunc add
		rgbgen wave sin 0.5 0.5 0 1.5
	}
	{
		clampmap textures/ctf_unified/bounce_fx_red.tga
		blendfunc add
		tcmod stretch sin 1.2 0.8 0 1.5
		rgbgen wave square 0.5 0.5 0.25 1.5
	}
	{
		map textures/ctf_unified/bounce_shadow.tga
		blendfunc filter
		rgbgen identity
	}
}

textures/ctf_unified/direction_blue
{
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm pointlight
	{
		map textures/ctf_unified/direction_blue.tga
		blendfunc add
		rgbgen vertex
	}
}

textures/ctf_unified/direction_red
{
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm pointlight
	{
		map textures/ctf_unified/direction_red.tga
		blendfunc add
		rgbgen vertex
	}
}

textures/ctf_unified/floor_decal_blue
{
	qer_editorimage textures/ctf_unified/floor_logo_blue.tga
	qer_trans 0.4
	surfaceparm nolightmap
	surfaceparm pointlight
	surfaceparm nomarks
	surfaceparm trans
	cull none
	{
		map textures/ctf_unified/floor_logo_blue.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen vertex
		depthwrite
	}
}

textures/ctf_unified/floor_decal_red
{
	qer_editorimage textures/ctf_unified/floor_logo_red.tga
	qer_trans 0.4
	surfaceparm nolightmap
	surfaceparm pointlight
	surfaceparm nomarks
	surfaceparm trans
	cull none
	{
		map textures/ctf_unified/floor_logo_red.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen vertex
		depthwrite
	}
}

textures/ctf_unified/nodraw_transparent
{
	qer_editorimage textures/common/nodraw.tga
	qer_trans 0.4
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/ctf_unified/plaque_shiny_blue
{
	qer_editorimage textures/ctf_unified/plaque_alpha_blue.tga
	{
		map textures/ctf_unified/blueenvmap.tga
		tcgen environment
	}
	{
		map textures/ctf_unified/plaque_alpha_blue.tga
		blendfunc gl_one_minus_dst_color gl_one_minus_src_alpha
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

textures/ctf_unified/plaque_shiny_red
{
	qer_editorimage textures/ctf_unified/plaque_alpha_red.tga
	{
		map textures/ctf_unified/redenvmap.tga
		tcgen environment
	}
	{
		map textures/ctf_unified/plaque_alpha_red.tga
		blendfunc gl_one_minus_dst_color gl_one_minus_src_alpha
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

textures/ctf_unified/pointer_left_blue
{
	qer_trans 0.4
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm pointlight
	{
		map textures/ctf_unified/pointer_left_blue.tga
		blendfunc add
		rgbgen vertex
	}
}

textures/ctf_unified/pointer_left_red
{
	qer_trans 0.4
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm pointlight
	{
		map textures/ctf_unified/pointer_left_red.tga
		blendfunc add
		rgbgen vertex
	}
}

textures/ctf_unified/ta_techspawn_blue
{
	qer_editorimage textures/ctf_unified/qer_tech_blue.tga
	surfaceparm nonsolid
	{
		clampmap textures/ctf_unified/tech_fx_blue.tga
		rgbgen identity
		tcmod rotate 222
	}
	{
		clampmap textures/ctf_unified/tech.tga
		blendfunc gl_one gl_one_minus_src_alpha
		rgbgen vertex
	}
}

textures/ctf_unified/ta_techspawn_red
{
	qer_editorimage textures/ctf_unified/qer_tech_red.tga
	surfaceparm nonsolid
	{
		clampmap textures/ctf_unified/tech_fx_red.tga
		rgbgen identity
		tcmod rotate 222
	}
	{
		clampmap textures/ctf_unified/tech.tga
		blendfunc blend
		rgbgen vertex
	}
}

textures/ctf_unified/weapfloor_blue
{
	qer_editorimage textures/ctf_unified/qer_weapfloor_blue.tga
	surfaceparm metalsteps
	surfaceparm nomarks
	surfaceparm trans
	{
		clampmap textures/ctf_unified/weapfloor_fx_blue.tga
		rgbgen wave sin 0.9 0.2 0 0.7
		tcmod rotate 180
		depthwrite
		alphafunc ge128
	}
	{
		map textures/ctf_unified/weapfloor_1.tga
		blendfunc blend
		rgbgen identity
		depthfunc equal
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		tcgen lightmap
		depthfunc equal
	}
	{
		map textures/ctf_unified/weapfloor_shadow.tga
		blendfunc filter
		rgbgen identity
	}
}

textures/ctf_unified/weapfloor_red
{
	qer_editorimage textures/ctf_unified/qer_weapfloor_red.tga
	surfaceparm metalsteps
	surfaceparm nomarks
	surfaceparm trans
	{
		clampmap textures/ctf_unified/weapfloor_fx_red.tga
		rgbgen wave sin 0.9 0.2 0 0.7
		tcmod rotate 180
		depthwrite
		alphafunc ge128
	}
	{
		map textures/ctf_unified/weapfloor_1.tga
		blendfunc blend
		rgbgen identity
		depthfunc equal
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		tcgen lightmap
		depthfunc equal
	}
	{
		map textures/ctf_unified/weapfloor_shadow.tga
		blendfunc filter
		rgbgen identity
	}
}

textures/gothic_block/blocks15_blue
{
	{
		map textures/gothic_block/blocks15_blue.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		tcgen lightmap
	}
	{
		map textures/detail/d_stone.tga
		blendfunc gl_dst_color gl_src_color
		tcmod scale .1 .1
		detail
	}
}

textures/gothic_floor/largerblock3b3
{
	{
		map textures/gothic_floor/largerblock3b3.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		tcgen lightmap
	}
	{
		map textures/detail/d_stone.tga
		blendfunc gl_dst_color gl_src_color
		tcmod scale 12 12
		detail
	}
}

textures/gothic_light/gothic_light2_2k
{
	qer_editorimage textures/gothic_light/gothic_light2.tga
	q3map_surfacelight 2000
	light 1
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/gothic_light/gothic_light2.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/gothic_light/gothic_light2_blend.tga
		rgbgen wave sin .6 .1 .1 .1
		blendfunc gl_one gl_one
	}
}

textures/gothic_light/gothic_light3_2k
{
	qer_editorimage textures/gothic_light/gothic_light3.tga
	q3map_lightimage textures/gothic_light/gothic_light2_blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	light 1
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/gothic_light/gothic_light3.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/gothic_light/gothic_light2_blend.tga
		rgbgen wave sin .6 .1 .1 .1
		blendfunc gl_one gl_one
	}
}

textures/gothic_light/pentagram_light1_1k
{
	qer_editorimage textures/gothic_light/pentagram_light1.tga
	q3map_surfacelight 1000
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/gothic_light/pentagram_light1.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/gothic_light/pentagram_light1_blend.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .8 .2 0 1
	}
}

textures/gothic_trim/pitted_rust3
{
	{
		map textures/gothic_trim/pitted_rust3.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		tcgen lightmap
	}
	{
		map textures/detail/d_met.tga
		blendfunc gl_dst_color gl_src_color
		tcmod scale 8 8
		detail
	}
}

textures/gothic_trim/pitted_rust3_black
{
	{
		map textures/evil3_metals/mtldrk0.tga
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		tcgen lightmap
	}
}

textures/liquids/flatlavahell_1500
{
	qer_editorimage textures/liquids/lavahell.tga
	q3map_globaltexture
	q3map_lightsubdivide 32
	surfaceparm noimpact
	surfaceparm lava
	surfaceparm nolightmap
	q3map_surfacelight 1500
	cull disable
	deformvertexes wave 100 sin 3 2 .1 0.1
	{
		map textures/liquids/lavahell.tga
		tcmod turb 0 .2 0 .1
	}
}

textures/liquids/flatripplewater_1500
{
	qer_editorimage textures/liquids/pool2.tga
	q3map_globaltexture
	q3map_lightsubdivide 32
	surfaceparm noimpact
	surfaceparm lava
	surfaceparm nolightmap
	q3map_surfacelight 500
	cull disable
	deformvertexes wave 100 sin 3 2 .1 0.1
	{
		map textures/liquids/pool2.tga
		tcmod turb 0 .2 0 .1
	}
}

textures/sfx/flame1side
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	{
		animmap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 1 0 10
	}
	{
		animmap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendfunc gl_one gl_one
		rgbgen wave sawtooth 0 1 0 10
	}
	{
		map textures/sfx/flameball.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .6 .2 0 .6
	}
}

